// @ts-nocheck
/**
 * 檢查壹個值是否為數字類型
 * @param value 要檢查的值，可以是 number 類型或 string 類型的數字
 * @returns 如果值是數字類型且不是 NaN，則返回 true；否則返回 false
 */

// #ifndef UNI-APP-X
export function isNumber(value: number | string | null): boolean {
  return typeof value === 'number' && !isNaN(value);
}
// #endif

// #ifdef UNI-APP-X
export function isNumber(value: any|null): boolean {
	// #ifdef APP-ANDROID
	return ['Byte', 'UByte','Short','UShort','Int','UInt','Long','ULong','Float','Double','number'].includes(typeof value)
	// #endif
	// #ifdef APP-IOS
	return ['Int8', 'UInt8','Int16','UInt16','Int32','UInt32','Int64','UInt64','Int','UInt','Float','Float16','Float32','Float64','Double', 'number'].includes(typeof value)
	// #endif
	// #ifndef APP-ANDROID || APP-IOS
	return typeof value === 'number' && !isNaN(value);
	// #endif
}
// #endif